package com.pictc.converts;

public interface TypeHandler<T> extends SuperHandler{
	
	boolean isType(Class<?> type);

	Class<?>[] getConverts();

	/**
	 * 转换json时调用
	 * @param <T>
	 */
	Object convert(T value);

	/**
	 * json转换对象是调用
	 * @param <T>
	 */
	T valueToObject(Object val);
	
	public abstract class TypeHandlerVoid implements TypeHandler<Object>{}

}
